<?php
// Own namespace
namespace CoreFramework\Filesystem;

// Import framework stuff
use CoreFramework\Filesystem\PathWriteProtectedException;
use CoreFramework\Generic\FrameworkException;

/**
 * An exception thrown when a path cannot be written to.
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2017 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class PathWriteProtectedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param	$fqfn	Full-qualified file name
	 * @param	$code	Code number for the exception
	 * @return	void
	 */
	public function __construct ($fqfn, $code) {
		// Add a message around the missing class
		$message = sprintf('Path %s cannot be written to. Please check permissions.', dirname($fqfn));

		// Call parent constructor
		parent::__construct($message, $code);
	}

}
